# Class StringProperty

java.lang.Object
org.apache.jmeter.testelement.property.AbstractProperty
org.apache.jmeter.testelement.property.StringProperty

All Implemented Interfaces:
  `Serializable, Cloneable, Comparable<JMeterProperty>, JMeterProperty`

public class StringProperty extends AbstractProperty

Version:
  $Revision: 1413956 $
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class AbstractProperty

`log`

## Constructor Summary

Constructors
Constructor
Description
`StringProperty()`
`StringProperty(String name, String value)`

## Method Summary

Modifier and Type
Method
Description
`StringProperty`
`clone()`
`Object`
`getObjectValue()`
`String`
`getStringValue()`
`void`
`recoverRunningVersion(TestElement owner)`
Tell the property to revert to the state at the time setRunningVersion(true) was called.
`void`
`setObjectValue(Object v)`
`void`
`setRunningVersion(boolean runningVersion)`
Make the property a running version or turn it off as the running version.
`void`
`setValue(String value)`
Sets the value.

### Methods inherited from class AbstractProperty

`compareTo, convertObject, createProperty, equals, getBlankProperty, getBlankProperty, getBooleanValue, getDoubleValue, getFloatValue, getIntValue, getIterator, getLongValue, getName, getPropertyType, hashCode, isEqualType, isRunningVersion, makeProperty, mergeIn, normalizeList, normalizeMap, setName, toString`

### Methods inherited from class Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### StringProperty

public StringProperty(String name, String value)

### StringProperty

public StringProperty()

## Method Details

### setRunningVersion

public void setRunningVersion(boolean runningVersion)
Description copied from class: `AbstractProperty`
Make the property a running version or turn it off as the running version. A property that is made a running version will preserve the current state in such a way that it is retrievable by a future call to 'recoverRunningVersion()'. Additionally, a property that is a running version will resolve all functions prior to returning it's property value. A non-running version property will return functions as their uncompiled string representation.

Specified by:
  `setRunningVersion` in interface `JMeterProperty`
Overrides:
  `setRunningVersion` in class `AbstractProperty`
Parameters:
  `runningVersion` - flag whether this property is a running version
See Also:
  - `JMeterProperty.setRunningVersion(boolean)`

### setObjectValue

public void setObjectValue(Object v)

### getStringValue

public String getStringValue()

See Also:
  - `JMeterProperty.getStringValue()`

### getObjectValue

public Object getObjectValue()

See Also:
  - `JMeterProperty.getObjectValue()`

### clone

public StringProperty clone()

Specified by:
  `clone` in interface `JMeterProperty`
Overrides:
  `clone` in class `AbstractProperty`

### setValue

public void setValue(String value)
Sets the value.

Parameters:
  `value` - The value to set

### recoverRunningVersion

public void recoverRunningVersion(TestElement owner)
Tell the property to revert to the state at the time setRunningVersion(true) was called.

Parameters:
  `owner` - the owning element